#!/bin/bash -e

pkg=(
    7zip
    bash-completion
    curl
    fastfetch
    fzf
    git
    jq
    manpages
    openssh
    pass
    python
)

# TODO https://github.com/termux/termux-tools/blob/master/scripts/termux-change-repo.in
yes | { pkg upgrade; pkg install "${pkg[@]}"; }
pkg autoprune -y

# shellcheck disable=SC2174
mkdir -pm 0700 "$HOME/.ssh"
curl https://yw5n.com/ssh >> "$HOME/.ssh/authorized_keys"

cat <<EOF >> "$HOME/.bash_profile"
gpg-agent
#sshd
EOF
